void handleDHT() {
  
  // prüfen ob die Temp- und Feuchtigkeit gemessen werden sollen;
  if (millis() > next_check) {
    // lesen der Temperatur
    float temp_neu = temp();
    if (temp_neu != 999) {
      temperatur = temp_neu;
    }
    // lesen der Feuchtigkeit
    float humid_neu = humid();
    if (humid_neu != 999) {
      humidity = humid_neu;
    }
    next_check = millis() + intervall;
  }

}

void httptemperatur() {
  String response = "";

  // --------------------------------------------------------------
  // --------- Für DHT22 ------------------------------------------
  // --------------------------------------------------------------
  // die bereits gemessenen Werte werden an den anfragenen Client übermittelt
/*  Serial.print("Humidity: ");
  Serial.print(humidity);
  Serial.print(" %\t");
  Serial.print("Temperature: ");
  Serial.print(temperatur);
  Serial.print(" *C ");*/

  response = "Temperatur = ";
  response += temperatur;
  response += "<br>Luftfeuchtigkeit = ";
  response += humidity;

  server.send ( 200, "text/html", response);
}

// Messen der Temperatur
float temp() {
  float t = dht.readTemperature();
    if (isnan(t)) {
/*      Serial.println("Failed to read from DHT");*/
      return 999;
    }
    else {
      //Serial.print("Temperature: ");
      //Serial.print(t);
      //Serial.println(" *C");
      return t;
    }
}

// Messen der Feuchtigkeit
float humid() {
  float h = dht.readHumidity();
    if (isnan(h)) {
/*      Serial.println("Failed to read from DHT");*/
      return 999;
    }
    else {
      //Serial.print("Humidity: ");
      //Serial.print(h);
      //Serial.println(" *C");
      return h;
    }
}

